
TYPO3.Flow - Bug # 34620

Status: Resolved Priority: Must have
Author: Bernhard Fischer Category: Security
Created: 2012-03-07 Assigned To: Bernhard Fischer
Updated: 2012-03-13 Due date:
PHP Version:
Has patch: No
Complexity: no-brainer
Affected Flow version: FLOW3 1.0.0
Subject: Wrong return value for getAccessDecisionVoters()
Description

The return value of the function getAccessDecisionVoters() in the AccessDecisionVoterManager should return a array. It doesn't really
matter because this function is never referenced.
Type hinting for $securityContext is missing the leading \ and hinting for $authenticationManager in the PolicyEnforcement is also
wrong.

Associated revisions
Revision 94a07994 - 2012-03-07 14:30 - Bernhard Fischer

[BUGFIX] typo in return statement for getAccessDecisionVoters()

Fix return value to array.
Fix type hinting for var $securityContext and $authenticationManager

Change-Id: I75f825602c7c9eea172e30dc0b831b8736a3727c
Fixes: #34620
Releases: 1.0, 1.1

Revision 7e055f0b - 2012-03-12 18:41 - Bernhard Fischer

[BUGFIX] typo in return statement for getAccessDecisionVoters()

Fix return value to array.
Fix type hinting for var $securityContext and $authenticationManager

Change-Id: I05223d157b5cb7bd6c736d08a09c9544a909bff8
Fixes: #34620
Releases: 1.0, 1.1

History
#1 - 2012-03-07 00:34 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9430
#2 - 2012-03-07 14:01 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9430

#3 - 2012-03-07 14:30 - Karsten Dambekalns
- Assigned To set to Bernhard Fischer
- Target version set to 1.0.4

#4 - 2012-03-07 14:30 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9430

#5 - 2012-03-12 18:41 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/9589

#6 - 2012-03-13 02:38 - Bernhard Fischer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7e055f0b2c7e2d0f92992afd0c97007b50ef4aac.
